<?php
/*
** Classe Basededonees
*/
// namespace Library;
define('MYSQL_HOST', 'localhost');		//Adresse du serveur MySQL - MySQL server address (localhost)
define('MYSQL_USER', 'africawebstudent_aws');			//Login pour accéder à la base de données - MySQL database Login (username) geststudent
define('MYSQL_PASS', ';)%58zv~Xib)');		//Mot de passe pour accéder à la base de données - MySQL database Password tadjara12
	
class Basededonnees{
	private $bdd;
	
	public function __construct($DB_DATABASE){
		//Connexion à la base de données
		try
		{
			$this->bdd = new PDO('mysql:host='.MYSQL_HOST.';dbname='.$DB_DATABASE.';charset=utf8',MYSQL_USER,MYSQL_PASS);
		}
		catch(PDOException $e)
		{
			$this->error = "Problème de connexion à la base de donnée";//$e->getMessage();
		}
	}
	
	public function getBdd(){
		return $this->bdd;
	}
}
